> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Countersign



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/countersign
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/countersign:
    post:
      tags:
        - Client Presentations
      summary: Countersign
      operationId: ClientPresentationsController_countersign_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: presentationId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                versionN:
                  type: integer
                  minimum: 1
                  maximum: 1000000
                expectedVersion:
                  type: integer
                  exclusiveMinimum: 0
                  maximum: 9007199254740991
                operationId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                legalName:
                  type: string
                  minLength: 1
                  maxLength: 200
                consent:
                  type: boolean
                  enum:
                    - true
                signature:
                  oneOf:
                    - type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - typed
                        text:
                          type: string
                          minLength: 1
                          maxLength: 200
                      required:
                        - kind
                        - text
                      additionalProperties: false
                    - type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - drawn
                        strokes:
                          minItems: 1
                          maxItems: 64
                          type: array
                          items:
                            minItems: 2
                            maxItems: 256
                            type: array
                            items:
                              minItems: 2
                              maxItems: 2
                              type: array
                              items:
                                type: number
                                minimum: 0
                                maximum: 1
                      required:
                        - kind
                        - strokes
                      additionalProperties: false
              required:
                - versionN
                - expectedVersion
                - operationId
                - legalName
                - consent
                - signature
              additionalProperties: false
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.